Subject: Re: [bug#65413] [PATCH] services: mcron: Add module for %user-log-dir.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 22 Aug 2023 18:11:19 +0200

Hilton Chain <[email-masked]> skribis:

> * gnu/services/mcron.scm (mcron-shepherd-services)[modules]: Add
> (shepherd support) for home service.
> ---
>
> This patch fixes the following error:
>   Loading /gnu/store/...-shepherd.conf.
>   herd: error: exception caught while executing 'load' on service 'root':
>   Unbound variable: %user-log-dir
>
> I wasn't fully sure to report the issue in #65119 since the error didn't occur
> in a home container, sorry for my hesitation.

I tested the changes in ‘guix home container’ and didn’t notice the
error; I wonder what’s going on, would be worth investigating.

Anyway, thanks for the quick fix!

Ludo’.